org.apache.hc.client5.http.impl.auth

## Class CredentialsProviderBuilder

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.CredentialsProviderBuilder

-     public final class CredentialsProviderBuilder
      extends Object

  `CredentialsProvider` builder.
  Since:
    5.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialsProviderBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CredentialsProviderBuilder` | `add(AuthScope authScope, Credentials credentials)`
    `CredentialsProviderBuilder` | `add(AuthScope authScope, String username, char[] password)`
    `CredentialsProviderBuilder` | `add(org.apache.hc.core5.http.HttpHost httpHost, Credentials credentials)`
    `CredentialsProviderBuilder` | `add(org.apache.hc.core5.http.HttpHost httpHost, String username, char[] password)`
    `CredentialsProvider` | `build()`
    `static CredentialsProviderBuilder` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialsProviderBuilder

          public CredentialsProviderBuilder()

  - ### Method Detail

    - #### create

          public static CredentialsProviderBuilder create()

    - #### add

          public CredentialsProviderBuilder add(AuthScope authScope,
                                                Credentials credentials)

    - #### add

          public CredentialsProviderBuilder add(AuthScope authScope,
                                                String username,
                                                char[] password)

    - #### add

          public CredentialsProviderBuilder add(org.apache.hc.core5.http.HttpHost httpHost,
                                                Credentials credentials)

    - #### add

          public CredentialsProviderBuilder add(org.apache.hc.core5.http.HttpHost httpHost,
                                                String username,
                                                char[] password)

    - #### build

          public CredentialsProvider build()

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.